Open CASCADE Technology: PDataStd_BooleanList Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PDataStd_BooleanList Class Reference

`#include <PDataStd_BooleanList.hxx>`

Inheritance diagram for PDataStd_BooleanList:
[legend]

## Public Member Functions
| PDataStd_BooleanList ()
void | Init (const Standard_Integer lower, const Standard_Integer upper)
void | SetValue (const Standard_Integer index, const Standard_Integer value)
Standard_Integer | Value (const Standard_Integer index) const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
| PDataStd_BooleanList (const Storage_stCONSTclCOM &a)
Handle< PColStd_HArray1OfInteger > | _CSFDB_GetPDataStd_BooleanListmyValue () const
void | _CSFDB_SetPDataStd_BooleanListmyValue (const Handle< PColStd_HArray1OfInteger > &p)
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PDataStd_BooleanList::PDataStd_BooleanList | ( |  | ) |

PDataStd_BooleanList::PDataStd_BooleanList | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Handle< PColStd_HArray1OfInteger > PDataStd_BooleanList::_CSFDB_GetPDataStd_BooleanListmyValue | ( |  | ) | const
| inline

void PDataStd_BooleanList::_CSFDB_SetPDataStd_BooleanListmyValue | ( | const Handle< PColStd_HArray1OfInteger > & | p | ) |
| inline

void PDataStd_BooleanList::Init | ( | const Standard_Integer | lower,
|  | const Standard_Integer | upper
| ) |  |

Standard_Integer PDataStd_BooleanList::Lower | ( |  | ) | const

void PDataStd_BooleanList::SetValue | ( | const Standard_Integer | index,
|  | const Standard_Integer | value
| ) |  |

Standard_Integer PDataStd_BooleanList::Upper | ( |  | ) | const

Standard_Integer PDataStd_BooleanList::Value | ( | const Standard_Integer | index | ) | const

The documentation for this class was generated from the following file:

- PDataStd_BooleanList.hxx